## osso-rss-feed-reader 1.3.64-2

=== debian/changelog ===
osso-rss-feed-reader (1.3.64-2) unstable; urgency=low

  * Fixes: NB#58902 Application crashes when select OPML file from FM which is stored in MMC

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 30 May 2007 15:06:12 +0300

osso-rss-feed-reader (1.3.63-1) unstable; urgency=low

  * Fixes: NB#57700 RSS crashes with Edit details and OPML add

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 22 May 2007 15:06:12 +0300

osso-rss-feed-reader (1.3.62-0) unstable; urgency=low

  * Added: Backported the fix 56436
  
 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 14 May 2007 11:22:20 +0300

osso-rss-feed-reader (1.3.61-2) unstable; urgency=low

  * Fixes: NB#52208 suspecting memory leak in RSS news reader
  
 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 24 Apr 2007 11:22:20 +0300

osso-rss-feed-reader (1.3.61-1) unstable; urgency=low

  * Fixes: NB#54658  RSS Reader losing its feed

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 24 Apr 2007 11:22:20 +0300

osso-rss-feed-reader (1.3.61-0) unstable; urgency=low

  * Fixes: NB#54556 RSS reader is using internal Connectivity D-Bus API

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 23 Apr 2007 15:23:42 +0300

osso-rss-feed-reader (1.3.60-0) unstable; urgency=low

  * Fixes: NB#51649 RSS crashes when unsubscribed during refreshing

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 19 Feb 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.59-0) unstable; urgency=low

  * Fixes: NB#48222 Cannot manually refresh from applet in memory full condition
  * Fixes: NB#51382 RSS reader crashes in dlopen

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 12 Feb 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.58-0) unstable; urgency=low

  * Fixes: NB#50486 Content area showing wrong number of posts after editing the feed details wrongly.
  * Fixes: NB#42814 CSM not correct when search is ongoing
  * Fixes: NB#50709 Auto-update flushes previous content

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 5 Feb 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.57-0) unstable; urgency=low

  * Fixes: NB#50650 Glib criticals and warnings when editing RSS feed details
  * Fixes: NB#50684 RSS applet "Last updated" timestamp is not updated

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 29 Jan 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.56-0) unstable; urgency=low

  * Fixes: NB#50676 Crash in RSS during the refresh
  * Fixes: NB#50671 Valid RSS feed crashes RSS reader
  * Fixes: NB#50666 Unable to add feed during refreshing is partially dislpayed.
  * Fixes: NB#50709 Auto-update flushes previous content
  * Fixes: NB#50740 RSS reader new folder dialog transiency will be undefined when invoked from context sensitive menu

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 22 Jan 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.55-0) unstable; urgency=low

  * Fixes: NB#50521 RSS reader crashes when refreshing feeds manally
  * Fixes: NB#50540 News reader lost all its feeds on reboot
  * Fixes: NB#50572 news reader crashes when importing feed

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 15 Jan 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.54-0) unstable; urgency=low

  * Fixes: NB#50379 RSS Reader crashes when tried to open an currupted OPML file.
  * Fixes: NB#46753 Focus is lost when folder is deleted
  * Fixes: NB#46885 'No feed selected' is displayed but Edit details icon is active
  * Fixes: NB#50383 osso_rss_feed_reader: GLIB WARNING ** default - Failed to lookup 'DefaultTextColor' color!
  * Fixes: NB#50367 CSM does not appear on the right application area.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 8 Jan 2007 14:50:58 +0200

osso-rss-feed-reader (1.3.52-0) unstable; urgency=low

  * Fixes: NB#49887 No debug symbol package for osso-rss-feed-reader

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 22 Dec 2006 14:50:58 +0200

osso-rss-feed-reader (1.3.50-4) unstable; urgency=low

  * Fixes: NB#44448 Background CSM doesn't work in a special case
  * Fixes: NB#45941 Inconsistent UI button and CSM option to rename a folder
  * Fixes: NB#45399 CSM doesn't show send option for image in one case
  * Fixes: NB#48547 Info displays below menu list
  * Fixes: NB#44460 Csm opens at "Send to a device "dialog
  * Fixes: NB#48135 UI View is not proper as per spec in a particular condition
  * Fixes: NB#48584 rss reader does not initialize dbus for threads
  * Fixes: NB#49658 News Reader; Info banners are shown behind application menu
  * Fixes: NB#48282 Two information banner invoked instead of one
  * Fixes: NB#48520 Unwanted loading in memory full condition
  * Fixes: NB#48222 Cannot manually refresh from applet in memory full condition
  * Fixes: NB#49949 Some feeds do not always show all news items from the server.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 7 Dec 2006 14:50:58 +0200

osso-rss-feed-reader (1.3.50-2) unstable; urgency=low

  * Fixes: NB#48219 No option to save images in MMC under memory full condition

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 7 Dec 2006 14:50:58 +0200

osso-rss-feed-reader (1.3.50-1) unstable; urgency=low

  * Fixes: NB#48848 Image saving is not proper
  * Fixes: NB#44031 No attempt to connect while subscribing from OPML

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 7 Dec 2006 14:50:58 +0200

osso-rss-feed-reader (1.3.50-0) unstable; urgency=low

  * Fixes: NB#46755 Auto increment of folder name is not working
  * Fixes: NB#46947 improve rss-feedreader memory usage and start-up time

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Dec 2006 14:50:58 +0200

osso-rss-feed-reader (1.3.49-0) unstable; urgency=low

  * Fixes: NB#46329 Unknown RSS core dumps
  * Fixes: NB#43689 Help dialog not invoked in a special case
  * Fixes: NB#46784 Folder expansion view not correct
  * Fixes: NB#48659 Add feed dialog doesn't respond
  * Fixes: NB#48675 RSS crashes in a special step
  * Fixes: NB#48234 Images not saved in MMC

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 14:50:58 +0200

osso-rss-feed-reader (1.3.48-0) unstable; urgency=low

  * Fixes: NB#48219 No option to save images in MMC under memory full condition


