=== debian/control ===
Source: osso-rss-feed-reader
Section: web
Priority: optional
Maintainer: Ouyang Qi <ouyang.qi@nokia.com>
Build-Depends:  intltool, libconbtui0-dev,conbtdialogs-dev,libossomime-dev, debhelper (>= 4.0.0), hildon-libs-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, hildon-home-dev, libosso-help-dev, libconic0-dev, libosso-email-interface-dev, maemo-browser-interface-dev, libart-2.0-dev, gtkhtml-dev, hildon-fm-dev, libgconf2-dev, libxml2-dev, gconf2, osso-rss-feed-reader-lib-dev, osso-ic-dev
Standards-Version: 3.6.0

Package: osso-rss-feed-reader
Architecture: any
Depends:  osso-rss-feed-reader-list, osso-rss-feed-reader-lib, gtkhtml0, osso-rss-feed-reader-l10n-mr0, gconf2, libxml2, libconic0, ${misc:Depends}, ${launcher:Depends}
Description: OSSO RSS Reader
 RSS news reader for OSSO.
 
Package: osso-rss-feed-reader-dbg
Architecture: any
Section: libdevel
Depends: osso-rss-feed-reader (= ${Source-Version})
Description: OSSO RSS Reader debug package
 RSS news reader for OSSO debug symbols.
