=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
PACKAGENAME = osso-rss-feed-reader

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif
         
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
	NJOBS_OPT := $(shell ( \
		expr x"$$DEB_BUILD_OPTIONS" : x'.*parallel=\([0-9][0-9]*\)' \
		|| grep -c ^processor /proc/cpuinfo 2>/dev/null             \
		) | sed -n -e '/[1-9]/s/^/-j/p' )
	MAKEFLAGS += $(NJOBS_OPT)
endif

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	LAUNCHER = yes
#endif

#ifeq "$(strip $(LAUNCHER))" "yes"
	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
	LAUNCHER_CFLAGS = -shared
	LAUNCHER_LDFLAGS = -shared -export-dynamic
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	touch configure-stamp

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) \
	  MAEMO_LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" \
	  MAEMO_LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"

	#/usr/bin/docbook-to-man debian/osso-rss-feed-reader.sgml > osso-rss-feed-reader.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

ifeq "$(strip $(LAUNCHER))" "yes"
	mv $(CURDIR)/debian/tmp/usr/bin/osso_rss_feed_reader \
	$(CURDIR)/debian/tmp/usr/bin/osso_rss_feed_reader.launch
	ln -s /usr/bin/maemo-invoker \
	$(CURDIR)/debian/tmp/usr/bin/osso_rss_feed_reader
endif
	
    # Modified. These po stuff is not needed
	# Modifed not to include version-control data in po/debian
	#mkdir -p $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)
	#cp po/*.po po/porules.mk $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/
	#mkdir -p $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian
	#cp -a po/debian/* $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/
	#cp debian/$(PACKAGENAME)-l10n-{dede,engb,enus,eses,esmx,fifi,frca,frfr,itit,ptbr,ruru}.install $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/
	#cp debian/copyright $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/
	#sed -r -e "s/^([a-z0-9-]+) /\1-l10n-src /g" debian/changelog > $(CURDIR)/debian/tmp/usr/share/osso/l10n/$(PACKAGENAME)/debian/changelog

	# Hack, prevent locales in main package
	#mkdir -p $(CURDIR)/debian/tmp/usr/share/locale
	#mv $(CURDIR)/debian/$(PACKAGENAME)/usr/share/locale/* $(CURDIR)/debian/tmp/usr/share/locale/
	
	# copy the OPML file
#	mkdir -p $(CURDIR)/debian/tmp/usr/share/osso_rss_feed_reader/opml
#	mkdir -p $(CURDIR)/debian/$(PACKAGENAME)-list/usr/share/osso_rss_feed_reader/
#	cp -R $(CURDIR)/debian/$(PACKAGENAME)/usr/share/osso_rss_feed_reader/opml $(CURDIR)/debian/$(PACKAGENAME)-list/usr/share/osso_rss_feed_reader/
#	rm -R $(CURDIR)/debian/$(PACKAGENAME)/usr/share/osso_rss_feed_reader/opml
#	
	# copy applet files
#	mkdir -p $(CURDIR)/debian/tmp/usr/lib/hildon-home
#	mkdir -p $(CURDIR)/debian/$(PACKAGENAME)-applet/usr/lib/hildon-home
#	mkdir -p $(CURDIR)/debian/$(PACKAGENAME)-applet/usr/share/applications/hildon-home
#	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications/hildon-home
#	cp -R $(CURDIR)/debian/$(PACKAGENAME)/usr/lib/hildon-home $(CURDIR)/debian/$(PACKAGENAME)-applet/usr/lib/
#	rm -R $(CURDIR)/debian/$(PACKAGENAME)/usr/lib/hildon-home
#	cp -R $(CURDIR)/debian/$(PACKAGENAME)/usr/share/applications/hildon-home $(CURDIR)/debian/$(PACKAGENAME)-applet/usr/share/applications/
#	rm -R $(CURDIR)/debian/$(PACKAGENAME)/usr/share/applications/hildon-home
	

# Build architecture-independent files here.
binary-indep-after-arch: binary-arch
binary-indep-after-arch \
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=osso-rss-feed-reader
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep-after-arch
.PHONY: build clean binary-indep-after-arch binary-indep binary-arch binary install
