## osso-rss-feed-reader 1.4.48-0

=== debian/changelog ===
osso-rss-feed-reader (1.4.48-0) unstable; urgency=low

  * Fixes: NB#76723 UP key doesn't work when selecting feed - TRUE
  * Fixes: NB#74161 number of coverity findings reported in OSSO RSS Feed Reader

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 26 Nov 2007 13:02:50 +0200

osso-rss-feed-reader (1.4.47-0) unstable; urgency=low

  * Fixes: NB#73862 Refresh of all feeds with invalid feed present
  * Fixes: NB#75247 Disconnecting WLAN when refresh operation is in progress

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 13 Nov 2007 15:39:16 +0100

osso-rss-feed-reader (1.4.46-0) unstable; urgency=low

  * Fixes: NB#74161 number of coverity findings reported in OSSO RSS Feed Reader
  * Fixes: NB#75532 memory leaks found in rss reader using i386/valgrind

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 12 Nov 2007 09:41:45 +0100

osso-rss-feed-reader (1.4.45-0) unstable; urgency=low

  * Fixes: NB#74411 Unexpected combobox entry with short key [Ctrl+v]
  * Fixes: NB#74418 RSS application crashes on moving one folder into another using stylus.
  * Fixes: NB#74105 Editing the feed details when both title and address field is blank is not working properly
  * Fixes: NB#74789 RSS crashes in below mentioned step
  * Fixes: NB#73894 Unsubscribe icon in toolbar should be dimmed while refreshing
  * Fixes: NB#71965 Edit options remained open on screen even if main menu is closed
  * Fixes: NB#73862 Refresh of all feeds with invalid feed present
  * Fixes: NB#73128 Edit details icon in toolbar should be dimmed while refreshing
  * Fixes: NB#74206 Cannot stop refresh operation in single attempt when in connecting phase
  * Fixes: NB#74239 Active unsubscribe and edit details icon not working
  * Fixes: NB#74412 Feed not deleted using backspace key
  * Fixes: NB#74414 Possible to select toolbar icon using rocker key with no focus
  * Fixes: NB#74425 ESC hardkey performs two operations in a certain scenario.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  5 Nov 2007 08:58:15 +0100

osso-rss-feed-reader (1.4.43-0) unstable; urgency=low

  * Fixes: NB#73510 RSS keeps crashing after adding one feed
  * Fixes: NB#71193 Images are not downloaded on the background
  * Fixes: NB#73814 "Double tap and drag" interaction is triggered in a wrong way

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 22 Oct 2007 11:40:22 +0200

osso-rss-feed-reader (1.4.42-1) unstable; urgency=low

  * Fixes: NB#73347 Inconsistant display of user choice while refreshing feeds
  * Fixes: NB#73129 Autorefresh doesn't happen for the first time

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 16 Oct 2007 16:10:56 +0300

osso-rss-feed-reader (1.4.42-0) unstable; urgency=low

  * Fixes: NB#71975 News reader failed to handle invalid feeds while refreshing.
  * Fixes: NB#72052 RSS crashed while adding Feed Under memory full condition

 -- Ahmad Qureshi <ahmad.qureshi@nokia.com>  Mon,  8 Oct 2007 16:52:23 +0300

osso-rss-feed-reader (1.4.41-0) unstable; urgency=low

  * Fixes: NB#63952 NEWS READER, info banner wrong translation, ï¿½rss_ib_unable_add_feed_searchingï¿½
  * Fixes: NB#71604 Most of images of (maemo) Downloads feed not displayed
  * Fixes: NB#71768 stop icon is not changing to refresh icon when cancel "exit to off line mode"dialog
  * Fixes: NB#71857 Toolbar appears on scroll down using HW key
  * Fixes: NB#71969 Details and delete toolbar options disabled if focus retained back on to feed.
  * Fixes: NB#71193 Images are not downloaded on the background

 -- Ahmad Qureshi <ahmad.qureshi@nokia.com>  Mon,  8 Oct 2007 15:48:41 +0300

osso-rss-feed-reader (1.4.40-0) unstable; urgency=low

  * Fixes: NB#70884 News Reader; §rss_me_edit_details§ and
    §rss_me_unsubscribe§ options not dimmed in main view CSM
  * Fixes: NB#70937 Sorting in News Reader; Problem with accent and Capital sorting for French
  * Fixes: NB#71059 RSS reader; Error for adding not shown §rss_ni_directory_adding_failed§

 -- Ahmad Qureshi <ahmad.qureshi@nokia.com>  Wed, 26 Sep 2007 16:13:30 +0300

osso-rss-feed-reader (1.4.39-0) unstable; urgency=low

  * Fixes: NB#70249 RSS News Reader, Truncation in the middle of the sentence
    *rss_ia_no_subscribed_feeds* 'No subscribed feeds. Select 'Add'
  * Fixes: NB#53860 Endurance : Glib critical errors found in RSS feed reader
  * Fixes: NB#70487 Infinite refresh in RSS applet
  * Fixes: NB#70127 Refresh from applet when not connected

 -- Ahmad Qureshi <ahmad.qureshi@nokia.com>  Mon, 24 Sep 2007 12:08:28 +0300

osso-rss-feed-reader (1.4.38-0) unstable; urgency=low

  * Fixes: NB#63952 NEWS READER, info banner wrong translation ..
  * Fixes: NB#69060 Toolbar invoked along with Find on page using h/w key
  * Fixes: NB#67431 Saving post when title is half visible
  * Fixes: NB#69321 Selecting dosens of messages for later reference makes the checkboxes unresponsive and weird
  * Fixes: NB#63157 Feed not created in the correct folder specified in add feed dialog
  * autorefresh behaviour patched up

 -- Ahmad Qureshi <ahmad.qureshi@nokia.com>  Mon, 17 Sep 2007 09:48:35 +0300

osso-rss-feed-reader (1.4.37-0) unstable; urgency=low

  * Fixes: NB#64865 Usage of backspace key in RSS
  * Fixes: NB#64823 Refresh time not updated
  * Fixes: NB#67939 Organised feed is not restored on opening RSS

 -- Ahmad Qureshi <ahmad.qureshi@nokia.com>  Thu,  6 Sep 2007 12:34:57 +0300

osso-rss-feed-reader (1.4.36-0) unstable; urgency=low

  * Fixes: NB#65822 Refresh operation stops working if previous Loading is stopped in between
  * Fixes: NB#65825 Add feed dialog hangs
  * Fixes: NB#65798 Cannot add or refresh RSS feeds when muliple applications are opened.
  * Fixes: NB#66642 Text entered in Find on page appears on Search
  * Fixes: NB#65931 RSS crashed while changing connectivity settings
  * Fixes: NB#63787 Autorefresh process not correct
  * Fixes: NB#65884 Statistics will not be shown if only folder is selected.
  * Fixes: NB#64354 Redundant RSS feed refreshes with critical warnings

