=== debian/control ===
Source: osso-rss-feed-reader
Section: web
Priority: optional
Maintainer: Ahmad Qureshi <ahmad.qureshi@nokia.com>
Build-Depends:  intltool, conbtdialogs-dev,libhildonmime-dev, debhelper (>= 4.0.0), libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev,  libhildonhelp-dev, libconic0-dev, libosso-email-interface-dev, tablet-browser-interface-dev, gtkhtml-dev, libhildonfm2-dev, libgconf2-dev, libxml2-dev, gconf2, osso-rss-feed-reader-lib-dev, osso-ic-dev, maemo-launcher-dev (>= 0.22)
Standards-Version: 3.6.0

Package: osso-rss-feed-reader
Architecture: any
Depends:  osso-rss-feed-reader-list, osso-rss-feed-reader-lib, gtkhtml0, osso-rss-feed-reader-l10n-mr0, gconf2, libxml2, libconic0, hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr, ${misc:Depends}, ${launcher:Depends}
Description: OSSO RSS Reader
 RSS news reader for OSSO.
 
Package: osso-rss-feed-reader-dbg
Architecture: any
Section: devel
Depends: osso-rss-feed-reader (= ${Source-Version})
Description: OSSO RSS Reader debug package
 RSS news reader for OSSO debug symbols.
