## osso-rss-feed-reader 1.5.32-0

=== debian/changelog ===
osso-rss-feed-reader (1.5.32-0) unstable; urgency=low

  * Fixes: NB#86510 RSS feeder crashes when search is in progress and user
    clicks on "folder" in left pane of rss reader

 -- Sundaram Sandeep <Sandeep.Sundaram@nokia.com>  Tue, 05 Aug 2008 15:30:00 +0530

osso-rss-feed-reader (1.5.18-0) unstable; urgency=low

  * Fixes: NB#84674 osso-rss-feed-reader source does not compile in Diablo SDK
  * Fixes: NB#84240 RSS crashes while adding feeds copied-pasted from a webpage. 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 24 Apr 2008 13:28:34 +0200

osso-rss-feed-reader (1.5.17-0) unstable; urgency=low

  * Fixes: NB#77417 Unable to expand RSS feed folders using right hardkey.
  * Fixes: NB#77183 Text not entered if a feed is opened
  * Fixes: NB#83375 RSS hangs in memory full condition 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 18 Apr 2008 14:53:20 +0200

osso-rss-feed-reader (1.5.16-0) unstable; urgency=low

  * Fixes: NB#83359 No refresh feeds dialog while refreshing after search
  * Fixes: NB#83339 Application is crashing while adding a feed when device
    memory is low
  * Fixes: NB#83126 OK button remains dimmed when opml file is browsed from
    Add feed dialog
  * Fixes: NB#83826 feed reader cache handling is inefficient and overly
    flash-stressing
    Patch from Olev Kartau 
  * Fixes: NB#84017 RSS crashes on using OPML file from external MMC
  * Fixes: NB#83313 Add feed dialog is not displayed on recovering from sleep
    mode.
  * Fixes: NB#83498 Application is crashing when tried to add feed again after
    selecting ok button on  device storage memory full note

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 10 Apr 2008 12:00:14 +0200

osso-rss-feed-reader (1.5.15-0) unstable; urgency=low

  * Fixes: NB#80684 Toolbar not closed on moving focus away from search field
  * Fixes: NB#82168 RSS Feed reader changes are not restoring from the backup.
  * Fixes: NB#77311 Automatically folder is getting deleted in the application
    area.
  * Fixes: NB#77417 Unable to expand RSS feed folders using right hardkey.
  * Fixes: NB#80684 Toolbar not closed on moving focus away from search field
  * Fixes: NB#83760 Rss reader depends on osso-ic-dev

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 07 Apr 2008 15:11:02 +0200

osso-rss-feed-reader (1.5.14-0) unstable; urgency=low

  * Fixes: NB#80265 RSS crashes on viewing back the copied feed content
  * Fixes: NB#77074 RSS reader; "Keep for later" shown in wrong font
  * Fixes: NB#82998 Unsubscribe from feed dialog is not responding in RSS feed reader.
  * Fixes: NB#83134 Contradictory behavior while renaming and creating folder
  * Fixes: NB#77172 Endurance: Glib critical error observed in rss-feed-reader

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 27 Mar 2008 12:57:12 +0100

osso-rss-feed-reader (1.5.13-0) unstable; urgency=low

  * Fixes: NB#82138 Criticals and a warning from RSS reader when Internet
    Tablet News feed is dragged
  * Fixes: NB#77167 Able to save feed details when address of the feed is
    modified to space character


 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 19 Mar 2008 09:40:00 +0100

osso-rss-feed-reader (1.5.12-0) unstable; urgency=low

  * Fixes: NB#82472 RSS hangs while unsubscribing the feed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 14 Mar 2008 14:40:53 +0100

osso-rss-feed-reader (1.5.10-0) unstable; urgency=low

  * Fixes: NB#79253 Scrolling down of feed content with hardware key in not working on right pane.
  * Fixes: NB#79981 RSS feed reader is not responding while refreshing a feed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 03 Mar 2008 14:59:55 +0100

osso-rss-feed-reader (1.5.06-0) unstable; urgency=low

  * Fixes: NB#79933 RSS is crashing when launching from applet.
  * Fixes: NB#78054 28 coverity findings in OSSO RSS Feed Reader
  * Implemented: NR#188803, NR#188802
  * Fixes: NB#79981 RSS feed reader is not responding while refreshing a feed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 30 Jan 2008 17:14:28 +0200

osso-rss-feed-reader (1.5.05-0) unstable; urgency=low

  * Fixes: NB#77330 Info banner "Copied" is not displaying after pressing
    ctrl+c from the application area.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 22 Jan 2008 15:46:17 +0200

osso-rss-feed-reader (1.5.04-0) unstable; urgency=low

  * Fixes: NB#78054 28 coverity findings in OSSO RSS Feed Reader
  * Fixes: NB#77031 Find On Page operation is not continued after refreshing any of the feeds
  * Fixes: NB#79264 RSS reader crashes when trying to interrupt connection process

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 15 Jan 2008 17:17:14 +0200

osso-rss-feed-reader (1.5.03-0) unstable; urgency=low

  * Fixes: NB#79116 Info banner should be displayed when tap on dimmed browser
    button while subscription in going on.
  * Fixes: NB#77148 Cannot add rediff.com feed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 10 Jan 2008 16:48:58 +0200

osso-rss-feed-reader (1.4.52-0) unstable; urgency=low

  * Patch in comment 17 for bug 77142 applied.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 18 Dec 2007 11:26:04 +0200

osso-rss-feed-reader (1.4.51-0) unstable; urgency=low

  * Fixes: NB#77114 RSS reader; Name of folders cut off; "Manage folders..." §rss_ti_manage_folders§
  * Fixes: NB#74649 RSS crashed while resuming from sleep mode

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 12 Dec 2007 15:54:51 +0200

osso-rss-feed-reader (1.4.50-0) unstable; urgency=low

  * Fixes: NB#78302 Repeating crashes in RSS feed_set_available -- zero pointer passed

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 10 Dec 2007 10:41:21 +0200
