=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Ahmad Qureshi <ahmad.qureshi@nokia.com>
-Build-Depends:  intltool, conbtdialogs-dev,libhildonmime-dev, debhelper (>= 4.0.0), libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev,  libhildonhelp-dev, libconic0-dev, libosso-email-interface-dev, tablet-browser-interface-dev, gtkhtml-dev, libhildonfm2-dev, libgconf2-dev, libxml2-dev, gconf2, osso-rss-feed-reader-lib-dev, osso-ic-dev, maemo-launcher-dev (>= 0.22)
+Build-Depends:  intltool, conbtdialogs-dev,libhildonmime-dev, debhelper (>= 4.0.0), libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev,  libhildonhelp-dev, libconic0-dev, libmodest-dbus-client-dev, tablet-browser-interface-dev, gtkhtml-dev, libhildonfm2-dev, libgconf2-dev, libxml2-dev, gconf2, osso-rss-feed-reader-lib-dev, maemo-launcher-dev (>= 0.22)
 Standards-Version: 3.6.0
 
 Package: osso-rss-feed-reader
