## osso-rss-feed-reader 1.6.39-1%2b0m5

=== debian/changelog ===
osso-rss-feed-reader (1.6.39-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Ramakrishna Narasimhaswamy <ramakrishna.narasimhaswamy@nokia.com>  Tue, 22 Sep 2009 08:49:40 +0300

osso-rss-feed-reader (1.6.39-1) unstable; urgency=low

  *  Fixes: NB#138138 Error while parsing feeds info banner is shown when
     trying to refresh feed for the first time.

 -- Amish maske <amish.maske@nokia.com>  Mon, 21 Sep 2009 11:00:00 +0530

osso-rss-feed-reader (1.6.34-2) unstable; urgency=low

  *  Fixes: NB#128771 refresh does not works (refreshing text hangs with RSS
     application )in rss application  when the refresh is in-progress create
     and delete folder

 -- Amish maske <amish.maske@nokia.com>  Sat, 22 Aug 2009 16:20:00 +0530

osso-rss-feed-reader (1.6.34-1) unstable; urgency=low

  *  Fixes: NB#132974 Panning on RSS view has problems due the horizontal
     overshooting

 -- Amish maske <amish.maske@nokia.com>  Wed, 19 Aug 2009 09:50:00 +0530

osso-rss-feed-reader (1.6.33-5) unstable; urgency=low

  *  Fixes: NB#132526 {Reg Test }Rss application is not launched after long
     time use

 -- Amish maske <amish.maske@nokia.com>  Thu, 13 Aug 2009 12:50:00 +0530

osso-rss-feed-reader (1.6.33-4) unstable; urgency=low

  *  Fixes: NB#130678 [PATCH] rss reader needs to support global safe folders

 -- Amish maske <amish.maske@nokia.com>  Thu, 13 Aug 2009 11:55:00 +0530

osso-rss-feed-reader (1.6.33-3) unstable; urgency=low

  *  Fixes: NB#132253 Pannable area used on RSS could require active
     horizontal movement

 -- Amish maske <amish.maske@nokia.com>  Wed, 12 Aug 2009 18:35:00 +0530

osso-rss-feed-reader (1.6.33-2) unstable; urgency=low

  *  Fixes: NB#130741 TWO core file for rss application in corematic without
     bug id

 -- Amish maske <amish.maske@nokia.com>  Tue, 11 Aug 2009 13:25:00 +0530

osso-rss-feed-reader (1.6.33-1) unstable; urgency=low

  *  Fixes: NB#129731 RSS reader started iconified even if the user does not
     intend to use it

 -- Amish maske <amish.maske@nokia.com>  Mon, 10 Aug 2009 17:55:00 +0530

osso-rss-feed-reader (1.6.32-2) unstable; urgency=low

  *  Fixes: NB#129668 g_strconcat risks using garbage pointers in
     ui_is_folder_expanded()

 -- Amish maske <amish.maske@nokia.com>  Wed, 05 Aug 2009 16:30:00 +0530

osso-rss-feed-reader (1.6.32-1) unstable; urgency=low

  *  Fixes: NB#120716 "[1]" is not displayed as "%51B%" in add feed dialog

 -- Amish maske <amish.maske@nokia.com>  Wed, 05 Aug 2009 16:30:00 +0530

osso-rss-feed-reader (1.6.31-2) unstable; urgency=low

  *  Fixes: NB#118242 rss application crashed when "browse" button is tapped
     then immediatly tap outside of "add feed" dialog then tap outside to
     close "select opml'' dialog

 -- Amish maske <amish.maske@nokia.com>  Wed, 29 July 2009 16:30:00 +0530

osso-rss-feed-reader (1.6.31-1) unstable; urgency=low

  *  Fixes: NB#119580 Memory corruption code 
  *  Fixes: coverity fix 

 -- Amish maske <amish.maske@nokia.com>  Tue, 28 July 2009 14:55:00 +0530

osso-rss-feed-reader (1.6.29-3) unstable; urgency=low

  *  Fixes: NB#121712 refresh option is dimmed on user scenario
  *  Fixes: NB#120111 refresh button is disabled or not working after
     deleating all the feeds and adding one feed to the rss application

 -- Amish maske <amish.maske@nokia.com>  Fri, 17 July 2009 14:55:00 +0530

osso-rss-feed-reader (1.6.29-2) unstable; urgency=low

  *  Fixes: NB#128017 open , edit feed ,unsubscribe opton in the CSM have
     logical string

 -- Amish maske <amish.maske@nokia.com>  Tue, 14 July 2009 14:55:00 +0530

osso-rss-feed-reader (1.6.29-1) unstable; urgency=low

  *  Fixes: NB#125584 {Apptest Reg }information banner to be removed from
     source code
  *  Fixes: NB#125588 {New UI change} {Apptest Reg }"unable to unsubscribe
     while refreshing " information banner is displayed
  *  Fixes: NB#125675 {Apptest Reg} application tool bar have seperator in rss
     application

 -- Amish maske <amish.maske@nokia.com>  Tue, 14 July 2009 11:30:00 +0530

osso-rss-feed-reader (1.6.28-1) unstable; urgency=low

  *  Fixes: NB#100379 navigation key is not working in rss application
  *  Fixes: NB#124451 {NEW UI MENU CHANGE} "Feed Directory" option is enabled
     in the application menu with out adding opml file

 -- Amish maske <amish.maske@nokia.com>  Wed, 1 July 2009 17:30:00 +0530

osso-rss-feed-reader (1.6.27-4) unstable; urgency=low

  *  Fixes: removing the reopened bug from changelog

 -- Amish maske <amish.maske@nokia.com>  Tue, 30 June 2009 15:00:00 +0530

osso-rss-feed-reader (1.6.27-2) unstable; urgency=low

  *  Fixes: NB#123906 "FILE://" details is missing in the URL address field on
     add feed dialog after receving opm file through BT
  *  Few Coverity Bugs fixed

 -- Amish maske <amish.maske@nokia.com>  Mon, 29 June 2009 15:00:00 +0530

osso-rss-feed-reader (1.6.27-1) unstable; urgency=low

  *  Fixes: NB#124357 "Find on page " is invoked after pressing "f" key  in
     search text
  *  Fixes: NB#124361 {NEW UI MENU CHANGE} Cntl+c , Cntl+x , Cntl+A is not
     working in the search text field but it is workinh in "addess " text
     field in add feed dialog
  *  Fixes: NB#124362 {NEW UI CHANGES} "Zooming to %s" info banner should be
     removed from the rss appliction
  *  Fixes: NB#124209 {NEW UI MENU CHANGE} No information banner is displayed
     after tapping on dimmed icon during search
  *  Fixes: NB#124208 {NEW UI MENY CHNAGE} No information banner on dimmed
     icon during refresh

 -- Amish maske <amish.maske@nokia.com>  Wed, 25 June 2009 11:45:00 +0530

osso-rss-feed-reader (1.6.25-2) unstable; urgency=low

  *  Fixes: NB#120972 [PATCH] make RSS feed use pannable area
  *  Fixes: NB#122594 [PATCH] (NEW UI SPEC CHANGES) RSS menu should be changed
     to hildon style 2.2 menu

 -- Amish maske <amish.maske@nokia.com>  Wed, 17 June 2009 15:40:00 +0530


