=== debian/control ===
Source: osso-rss-feed-reader
Section: web
Priority: optional
Maintainer: Amish Maske<amish.maske@nokia.com>
Build-Depends:  intltool, conbtdialogs-dev,libhildonmime-dev, debhelper (>= 4.0.0), libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, libglib2.0-dev, libdbus-1-dev, libdbus-glib-1-dev, libosso-dev, libconic0-dev, libmodest-dbus-client-dev, tablet-browser-interface-dev, gtkhtml3.14-dev, libhildonfm2-dev (>= 2.16.2), libgconf2-dev, libxml2-dev, gconf2, osso-rss-feed-reader-lib-dev, maemo-launcher-dev (>= 0.22)
Standards-Version: 3.6.0

Package: osso-rss-feed-reader
Architecture: any
Depends:  osso-rss-feed-reader-feeds | osso-rss-feed-reader-list, osso-rss-feed-reader-lib, gtkhtml3.14, osso-rss-feed-reader-l10n-mr0, gconf2, libxml2, libconic0, hildon-common-strings-l10n-mr0 | hildon-common-strings-l10n-mr, ${misc:Depends}, ${launcher:Depends}, hildon-libs-l10n-mr | hildon-libs-l10n-mr0, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, ke-recv-l10n-mr | ke-recv-l10n-mr0
Description: OSSO RSS Reader
 RSS news reader for OSSO.
 
Package: osso-rss-feed-reader-dbg
Architecture: any
Section: devel
Depends: osso-rss-feed-reader (= ${Source-Version})
Description: OSSO RSS Reader debug package
 RSS news reader for OSSO debug symbols.
