## osso-rss-feed-reader 1.6.39-1+0m5

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	MAKEFLAGS += $(NJOBS_OPT)
 endif
 
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
 	LAUNCHER = yes
 	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
 	LAUNCHER_CFLAGS = $(shell pkg-config --cflags maemo-launcher-app)
