## osso-rss-feed-reader 1.6.40-3%2b0m5

=== debian/changelog ===
osso-rss-feed-reader (1.6.40-3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Hunalli Mallikarjun Channappa <mallikarjun.hunalli@nokia.com>  Mon, 05 Oct 2009 07:14:37 +0300

osso-rss-feed-reader (1.6.40-3) unstable; urgency=low

  *  Fixes: NB#140206 USE TIME bug fix reverted back

 -- Amish maske <amish.maske@nokia.com>  Mon, 5 Oct 2009 10:00:00 +0530

osso-rss-feed-reader (1.6.40-1) unstable; urgency=low

  *  Fixes: NB#140206 USE TIME RSS Home applet has high number of wakeups in
     idle state

 -- Amish maske <amish.maske@nokia.com>  Fri, 25 Sep 2009 20:00:00 +0530
