## osso-rss-feed-reader 1.6.48-1+0m5

=== debian/changelog ===
osso-rss-feed-reader (1.6.48-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- aleksandr antonenko <ext-aleksandr.2.antonenko@nokia.com>  Wed, 25 Nov 2009 16:08:47 +0200

osso-rss-feed-reader (1.6.48-1) unstable; urgency=low

  * Fixes: NB#147978 RSS Reader consumes 100% CPU

 -- Amish maske <amish.maske@nokia.com>  Tue, 24 Nov 2009 14:25:00 +0530

osso-rss-feed-reader (1.6.46-4) unstable; urgency=low

  * Fixes: NB#137013 osso_rss_feed_reader causing X damage events 

 -- Amish maske <amish.maske@nokia.com>  Fri, 13 Nov 2009 18:00:00 +0530

osso-rss-feed-reader (1.6.46-3) unstable; urgency=low

  * Fixed issue with 2nd auto refresh happening for 4 mins

 -- Amish maske <amish.maske@nokia.com>  Tue, 10 Nov 2009 15:00:00 +0530

osso-rss-feed-reader (1.6.46-2) unstable; urgency=low

  *  Fixes: NB#140504 Use IPHB for RSS Network activity
  *  Added dependency

 -- Amish maske <amish.maske@nokia.com>  Mon, 09 Nov 2009 16:00:00 +0530

osso-rss-feed-reader (1.6.46-1) unstable; urgency=low

  *  Fixes: NB#140504 Use IPHB for RSS Network activity

 -- Amish maske <amish.maske@nokia.com>  Mon, 09 Nov 2009 16:00:00 +0530
