## osso-rss-feed-reader 1.8.03-3+0m5

=== debian/changelog ===
osso-rss-feed-reader (1.8.03-3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Tue, 02 Feb 2010 13:48:17 +0200

osso-rss-feed-reader (1.8.03-3) unstable; urgency=low

  * Fixes: NB#148215 RSS reader requests internet connection without user
    action.

 -- Amish maske <amish.maske@nokia.com>  Wed, 20 Jan 2010 16:37:00 +0530

osso-rss-feed-reader (1.8.03-2) unstable; urgency=low

  * Fixes: NB#147221 Incorrect date format in RSS reader in pl-PL 
  * Fixes: NB#127936 wrong posix date format in RSS Feed Reader application 

 -- Amish maske <amish.maske@nokia.com>  Tue, 19 Jan 2010 16:07:00 +0530

osso-rss-feed-reader (1.8.03-1) unstable; urgency=low

  * Fixes: NB#143035 change foler / select opml file dialog is opened when
    those two button are dimmed during feed subscription and tap on dimmed
    button
  * Fixes: NB#142950 /home/user/MyDocs is hardcoded in RSS reader

 -- Amish maske <amish.maske@nokia.com>  Tue, 12 Jan 2010 17:07:00 +0530

osso-rss-feed-reader (1.8.02-1) unstable; urgency=low

  * Fixes: NB#142643 Rss doesn't support hildon type checkbox 

 -- Amish maske <amish.maske@nokia.com>  Thu, 07 Jan 2010 17:07:00 +0530

osso-rss-feed-reader (1.7.52-1) unstable; urgency=low

  * Fixes: NB#142088 RSS Reader. Context-sensitive menu options are too small 

 -- Amish maske <amish.maske@nokia.com>  Tue, 22 Dec 2009 11:07:00 +0530

osso-rss-feed-reader (1.7.51-1) unstable; urgency=low

  * Fixes: NB#150446 Feed list (Folder tree) uses non-... 

 -- Amish maske <amish.maske@nokia.com>  Wed, 16 Dec 2009 14:07:00 +0530

osso-rss-feed-reader (1.7.50-1) unstable; urgency=low

  * Fixes: NB#127403 <coverity> defects from osso-rss... 
  * Fixes: NB#141048 Add Feed dialog input field shou... 

 -- Amish maske <amish.maske@nokia.com>  Thu, 10 Dec 2009 13:49:00 +0530

osso-rss-feed-reader (1.7.49-1) unstable; urgency=low

  * Fixes: NB#133869 RSS are not closing once restore is started from backup
    if any dialog is opened

 -- Amish maske <amish.maske@nokia.com>  Tue, 01 Dec 2009 12:10:00 +0530
