## osso-rss-feed-reader 1.8.22-2%2b0m5

=== debian/changelog ===
osso-rss-feed-reader (1.8.22-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.8.22-2+0m5

 -- Prashanth Shakthi <ext-shakthi.prashanth@nokia.com>  Tue, 08 Jun 2010 14:07:41 +0300

osso-rss-feed-reader (1.8.22-2) unstable; urgency=low

  * Fixes: NB#160415  sockets get added between hildon-home and iphbd during
    generic use

 -- Amish maske <amish.maske@nokia.com>  Fri, 04 Jun 2010 10:37:00 +0530

osso-rss-feed-reader (1.8.22-1) unstable; urgency=low

  * Fixes: NB#151419 RSS's automatic update uses 3G if when setting it to only
    use WLAN

 -- Amish maske <amish.maske@nokia.com>  Thu, 03 Jun 2010 10:37:00 +0530
